<template>
  <v-container>
    <h1>Les formations proposées</h1>
    <v-tabs background-color="transparent" centered optional>
      <template v-for="formation in formations">
        <v-tab
          :key="formation.slug"
          :to="`/club/formations/${formation.slug}`"
          nuxt
        >
          {{ formation.title }}
        </v-tab>
      </template>
    </v-tabs>
    <nuxt-child :key="$route.params.formation" />
  </v-container>
</template>

<script>
export default {
  async asyncData({ $content }) {
    return {
      formations: await $content('formations').only(['slug', 'title']).fetch(),
    }
  },

  head() {
    return {
      title: 'Les formations',
    }
  },
}
</script>
